Subject: [Sip] a doubt in SIP header (call-id)

From: "satya" <[email-masked]>
Date: Thu, 19 Oct 2000 12:34:13 +0530

Hi,
 
    SUB: a doubt in SIP header (call-id) 

I had faced one problem when i'm testing my company's inhouse product, which is implementing SIP.

Here my role is :  
        To test the parser modules ---- which are written for headers in SIP like ----  call-id, to, from, via, contact, 
                contact-length, cseq......
        When i'm trying to test the call-id module... i gave a header like the following one
              Call-ID: 87602@[email-masked] 
                
                it is parsed with local-id as  87602  and
                                        host      as  [email-masked] 

                but what is I expect was 
                                        local-id as  87602@141351  and 
                                        host      as  worcester.bell-telephone.com 

since as per the rfc 2543....... I can give the 'reserved' letter '@'  in local-id.  
------------------------------------------------------------------------------------------------------------------------------------------------------------                                 
Call-ID = ( "Call-ID" | "i" ) ":" local-id "@" host

local-id = 1*uric

uric = reserved | unreserved | escaped

reserved = ";" | "/" | "?" | ":" | "@" | "&" | "=" | "+" | "$" | ","

unreserved = alphanum | mark

mark = "-" | "_" | "." | "!" | "~" | "*" | "'" | "(" | ")"

escaped = "%" hex hex

alphanum = alpha | digit

digit = "0" | "1" | "2" | "3" | "4" | "5" | "6" | "7" | "8" | "9"

alpha = lowalpha | upalpha

upalpha = "A" | "B" | "C" | "D" | "E" | "F" | "G" | "H" | "I" | "J" | "K" | "L" | "M" | "N" | "O" | "P" | "Q" | "R" | "S" | "T" | "U" | "V" | "W" | "X" | "Y" | "Z"

lowalpha = "a" | "b" | "c" | "d" | "e" | "f" | "g" | "h" | "i" |"j" | "k" | "l" | "m" | "n" | "o" | "p" | "q" | "r" |"s" | "t" | "u" | "v" | "w" | "x" | "y" | "z"

hex = "A" | "B" | "C" | "D" | "E" | "F"| "a" | "b" | "c" | "d" | "e" | "f" | digit

-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

So my doubt was " whether the reserved letter @ can be used in the local-id  part of call-id header or not"   ......  could u please clarify.. this issue....

Please find some time to clear this....I'll be greatful to u...

Regards,
Senapathy T.
( please reply to  [email-masked]  or [email-masked] )